
	  
	  real function erfc(x)

	  ! Complementary error function from Numerical Recipes.

	  implicit none

      real				:: x
      real				:: t,z


      z = abs(x)
      t = 1.0 / ( 1.0 + 0.5 * z )

      erfc =          t * exp( -z * z - 1.26551223 + t *	    &
	         ( 1.00002368 + t * ( 0.37409196 + t *		&
             ( 0.09678418 + t * (-0.18628806 + t *		&
			 ( 0.27886807 + t * (-1.13520398 + t *		&
             ( 1.48851587 + t * (-0.82215223 + t * 0.17087277 )))))))))

      if ( x.lt.0.0 ) erfc = 2.0 - erfc
     
	  end function erfc
     

