
subroutine LittleRead( InputFile, Ensemble, Nljgrs, Niongrs, NSp )

implicit none

! InputFile contains the parameters for the run.

character*30, intent(in)					:: InputFile

! Ensemble is the thermodynamic ensemble to use.

character*5, intent(out)					:: Ensemble

! Nljgrs is the number of Lennard-Jones groups in the simulation.
! Niongrs is the number of ionic groups in the simulation.
! Nsp is the number of species in the simulation.

integer, intent(out)						:: Nljgrs
integer, intent(out)						:: Niongrs
integer, intent(out)						:: NSp

! Local

integer										:: i


open( 20, file = InputFile )

read(20,*)
read(20,*) Ensemble
read(20,*)
read(20,*)
read(20,*)
read(20,*) 
read(20,*)
read(20,*) Nljgrs
read(20,*)

do i = 1, Nljgrs
	read(20,*)
end do

read(20,*)
read(20,*)
read(20,*)
read(20,*)
read(20,*)
read(20,*)
read(20,*)
read(20,*)
read(20,*) Niongrs

if( Niongrs > 0 ) then

	read(20,*)

	do i = 1, Niongrs
		read(20,*)
	end do

end if

read(20,*)
read(20,*) NSp

close(20)

return

end subroutine LittleRead





